library(tuneR)
library(seewave)

lepmys <- readWave("Lepmys.wav")
leplat <- readWave("Leplat.wav")

# graficar oscilograma
oscillo(leplat)

# recortamos las dos primeras notas
note1 <- cutw(lepmys, from=0.30, to=0.40, output="Wave")
note2 <- cutw(leplat, from=0.03, to=0.13, output="Wave")

# oscilograma de cada nota
layout(matrix(1:2, nc=1))
oscillo(note1, labels=FALSE)
oscillo(note2, labels=FALSE)

# envolventes de amplitud
layout(matrix(1:2, nc=1))
env1 <- env(note1, msmooth=c(50,75))
env2 <- env(note2, msmooth=c(50,75))

# correlación de envolventes
res <- corenv(note1, note2, msmooth=c(50,75), method="pearson")

