library(tuneR)
library(seewave)

lepmys <- readWave("Lepmys.wav")
# wav a 44100 Hz
lepmys

# graficar oscilograma
oscillo(lepmys)

# recortamos las dos primeras notas
note1 <- cutw(lepmys, from=0.30, to=0.40, output="Wave")
note2 <- cutw(lepmys, from=0.45, to=0.55, output="Wave")

# oscilograma de cada nota
layout(matrix(1:2, nc=1))
oscillo(note1)
oscillo(note2)

# envolventes de amplitud
layout(matrix(1:2, nc=1))
env1 <- env(note1, msmooth=c(50,75))
env2 <- env(note2, msmooth=c(50,75))

# correlación de envolventes
res <- corenv(note1, note2, msmooth=c(50,75), method="pearson")

# alineamiento usando el maximo de la correlacion
dur <- 0.1
note1_end <- cutw(note1, from=dur+res$t, to=dur, output="Wave")
note1_ini <- cutw(note1, from=0, to=dur+res$t, output="Wave")
note1_ali <- bind(note1_end, note1_ini)

# oscilograma para comparar notas alineadas
layout(matrix(1:2, nc=1))
oscillo(note1_ali)
oscillo(note2)
